#include "util.h"

std::string trim(std::string str) {
	auto ws = " \t\v\r\n";
	auto begin = str.find_first_not_of(ws);
	auto end = str.find_last_not_of(ws);
	if(begin == std::string::npos)
		return "";
	return str.substr(begin, end - begin + 1);
}
